/***************************************************************************
 *   Copyright (C) 2006 by André Lindhjem <belgarat@sdf.lonestar.org>,     *
 *                         Kjetil Holien <kjetil.holien@gmail.com>,        *
 *                         Terje Risa <terje.risa@gmail.com> &             *
 *                         Øyvind Nerbråten <oyvind@nerbraten.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *
 * \file report.h
 * \author André Lindhjem, Kjetil Holien, Terje Risa & Øyvind Nerbråten
 * \date 15.02.2006
 *
 * Functionality for handling error reporting.
 */
 
#ifndef ERROR_H_
#define ERROR_H_



/* ************************************************	*
 * 			Global enumerated constants				*
 * ************************************************	*/
 
/**
 * An enum to caracterize report levels.
 */
enum report_levels {
	REP_DEBUG		= 0,
	REP_MESSAGE		= 1,
	REP_WARNING		= 2,
	REP_ERROR		= 3,
	REP_CRITICAL	= 4
};



/* ************************************************	*
 * 			Global function declarations			*
 * ************************************************	*/

/**
 * Function for handling runtime message reporting to the user.
 * @param error_mesage - a pointer to a string with the message to output.
 * @param level - the level of the message.
 */
void report (const char * error_message, const int level);


#endif /*ERROR_H_*/
